POST api/ai/affiliates/search2
Request Information
URI Parameters
None.
Body Parameters
AffiliateAiSearchParamsModel| Name | Description | Type | Additional information |
|---|---|---|---|
| prompt | string |
None. |
|
| count | integer |
None. |
|
| business | string |
None. |
|
| excludeAffiliateIds | string |
None. |
|
| excludeNiches | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"prompt": "sample string 1",
"count": 2,
"business": "sample string 3",
"excludeAffiliateIds": "sample string 4",
"excludeNiches": "sample string 5"
}
application/xml, text/xml
Sample:
<Pgsql.AffiliateAiSearchParamsModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Uwts.ai"> <business>sample string 3</business> <count>2</count> <excludeAffiliateIds>sample string 4</excludeAffiliateIds> <excludeNiches>sample string 5</excludeNiches> <prompt>sample string 1</prompt> </Pgsql.AffiliateAiSearchParamsModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Collection of AffiliateAiModel| Name | Description | Type | Additional information |
|---|---|---|---|
| AffiliateID | integer |
None. |
|
| BusinessID | integer |
None. |
|
| Label | string |
None. |
|
| Name | string |
None. |
|
| Niche | string |
None. |
|
| SiteDomain | string |
None. |
|
| Interests | string |
None. |
|
| Regs | integer |
None. |
|
| Gross | decimal number |
None. |
|
| AvgRating | decimal number |
None. |
|
| MembersCount | integer |
None. |
|
| ai_wordcloud | string |
None. |
|
| ai_description | string |
None. |
|
| ai_whyjoin | string |
None. |
|
| Score | decimal number |
None. |
|
| SignupUrl | string |
None. |
|
| BackgroundColor | string |
None. |
|
| LogoUrl | string |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"AffiliateID": 1,
"BusinessID": 2,
"Label": "sample string 3",
"Name": "sample string 4",
"Niche": "sample string 5",
"SiteDomain": "sample string 6",
"Interests": "sample string 7",
"Regs": 1,
"Gross": 1.1,
"AvgRating": 1.1,
"MembersCount": 1,
"ai_wordcloud": "sample string 8",
"ai_description": "sample string 9",
"ai_whyjoin": "sample string 10",
"Score": 1.1,
"SignupUrl": "sample string 11",
"BackgroundColor": "sample string 12",
"LogoUrl": "sample string 13"
},
{
"AffiliateID": 1,
"BusinessID": 2,
"Label": "sample string 3",
"Name": "sample string 4",
"Niche": "sample string 5",
"SiteDomain": "sample string 6",
"Interests": "sample string 7",
"Regs": 1,
"Gross": 1.1,
"AvgRating": 1.1,
"MembersCount": 1,
"ai_wordcloud": "sample string 8",
"ai_description": "sample string 9",
"ai_whyjoin": "sample string 10",
"Score": 1.1,
"SignupUrl": "sample string 11",
"BackgroundColor": "sample string 12",
"LogoUrl": "sample string 13"
}
]
application/xml, text/xml
Sample:
<ArrayOfPgsql.AffiliateAiModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Uwts.ai">
<Pgsql.AffiliateAiModel>
<AffiliateID>1</AffiliateID>
<AvgRating>1.1</AvgRating>
<BackgroundColor>sample string 12</BackgroundColor>
<BusinessID>2</BusinessID>
<Gross>1.1</Gross>
<Interests>sample string 7</Interests>
<Label>sample string 3</Label>
<LogoUrl>sample string 13</LogoUrl>
<MembersCount>1</MembersCount>
<Name>sample string 4</Name>
<Niche>sample string 5</Niche>
<Regs>1</Regs>
<Score>1.1</Score>
<SignupUrl>sample string 11</SignupUrl>
<SiteDomain>sample string 6</SiteDomain>
<ai_description>sample string 9</ai_description>
<ai_whyjoin>sample string 10</ai_whyjoin>
<ai_wordcloud>sample string 8</ai_wordcloud>
</Pgsql.AffiliateAiModel>
<Pgsql.AffiliateAiModel>
<AffiliateID>1</AffiliateID>
<AvgRating>1.1</AvgRating>
<BackgroundColor>sample string 12</BackgroundColor>
<BusinessID>2</BusinessID>
<Gross>1.1</Gross>
<Interests>sample string 7</Interests>
<Label>sample string 3</Label>
<LogoUrl>sample string 13</LogoUrl>
<MembersCount>1</MembersCount>
<Name>sample string 4</Name>
<Niche>sample string 5</Niche>
<Regs>1</Regs>
<Score>1.1</Score>
<SignupUrl>sample string 11</SignupUrl>
<SiteDomain>sample string 6</SiteDomain>
<ai_description>sample string 9</ai_description>
<ai_whyjoin>sample string 10</ai_whyjoin>
<ai_wordcloud>sample string 8</ai_wordcloud>
</Pgsql.AffiliateAiModel>
</ArrayOfPgsql.AffiliateAiModel>